import { computed as h, onMounted as Le, ref as u, watch as Fe, openBlock as o, createElementBlock as i, normalizeClass as A, normalizeStyle as V, unref as n, createBlock as $, createCommentVNode as c, createSlots as Ie, withCtx as v, renderSlot as d, normalizeProps as S, guardReactiveProps as N, createVNode as ie, createElementVNode as _, Fragment as ce, renderList as ve, createTextVNode as de, toDisplayString as E, nextTick as Ae } from "vue";
import { u as Ve, o as Ee, e as he, g as Me, c as pe, t as De, a as Be, p as M, b as Ge, d as ze, J as ye, M as Ue, f as k, X as We, i as fe, x as ge, y as He, q as Xe, r as Re } from "./index-BbPeL8Gp.js";
import { L as Ye } from "./Legend-BLaZxMge.js";
import { _ as je } from "./Title-aSAft5dl.js";
import { _ as qe } from "./Tooltip-smutPF--.js";
import { D as Je } from "./DataTable-DGf6RrOJ.js";
import { u as Ke, U as Qe } from "./usePrinter-DaybDVqP.js";
import Ze from "./vue-ui-skeleton-Bniq21d9.js";
import et from "./vue-ui-accordion-5d5iVpr7.js";
import { u as be } from "./useNestedProp-BN8claGG.js";
import { _ as tt } from "./PackageVersion-CxJghxYD.js";
import { P as lt } from "./PenAndPaper-ZdZEumki.js";
import { u as at } from "./useUserOptionState-BIvW1Kz7.js";
import { _ as ot } from "./_plugin-vue_export-helper-CHgC5LLL.js";
const st = ["id"], rt = {
  key: 1,
  ref: "noTitle",
  class: "vue-data-ui-no-title-space",
  style: "height:36px; width: 100%;background:transparent"
}, ut = {
  key: 2,
  style: "width:100%;background:transparent;padding-bottom:24px"
}, nt = ["xmlns", "viewBox"], it = ["id"], ct = ["stdDeviation"], vt = ["d", "stroke", "stroke-width"], dt = ["d", "stroke", "stroke-width"], ht = ["filter"], pt = ["d", "stroke", "stroke-width"], yt = ["d", "stroke-width", "onMouseenter", "onClick"], ft = {
  key: 5,
  class: "vue-data-ui-watermark"
}, gt = ["onClick"], bt = { key: 0 }, mt = { key: 1 }, kt = {
  key: 8,
  ref: "source",
  dir: "auto"
}, Ct = ["innerHTML"], wt = {
  __name: "vue-ui-galaxy",
  props: {
    config: {
      type: Object,
      default() {
        return {};
      }
    },
    dataset: {
      type: Array,
      default() {
        return [];
      }
    }
  },
  emits: ["selectLegend", "selectDatapoint"],
  setup(me, { expose: ke, emit: H }) {
    const y = me, { vue_ui_galaxy: Ce } = Ve(), O = h(() => !!y.dataset && y.dataset.length);
    Le(() => {
      X();
    });
    function X() {
      Ee(y.dataset) ? he({
        componentName: "VueUiGalaxy",
        type: "dataset"
      }) : y.dataset.forEach((t, a) => {
        Me({
          datasetObject: t,
          requiredAttributes: ["name", "values"]
        }).forEach((l) => {
          he({
            componentName: "VueUiGalaxy",
            type: "datasetSerieAttribute",
            property: l,
            index: a
          });
        });
      });
    }
    const T = u(pe()), L = u(null), we = u(null), D = u(!1), B = u(""), f = u(null), R = u(0), Y = u(0), j = u(0), q = u(0), e = h({
      get: () => Z(),
      set: (t) => t
    }), { userOptionsVisible: J, setUserOptionsVisibility: K, keepUserOptionState: Q } = at({ config: e.value });
    function Z() {
      const t = be({
        userConfig: y.config,
        defaultConfig: Ce
      });
      return t.theme ? {
        ...be({
          userConfig: De.vue_ui_galaxy[t.theme] || y.config,
          defaultConfig: t
        }),
        customPalette: Be[t.theme] || M
      } : t;
    }
    Fe(() => y.config, (t) => {
      e.value = Z(), X(), Y.value += 1, j.value += 1, q.value += 1;
    }, { deep: !0 });
    const { isPrinting: ee, isImaging: te, generatePdf: le, generateImage: ae } = Ke({
      elementId: `galaxy_${T.value}`,
      fileName: e.value.style.chart.title.text || "vue-ui-galaxy"
    }), $e = h(() => e.value.userOptions.show && !e.value.style.chart.title.text), xe = h(() => Ge(e.value.customPalette)), b = u({
      dataLabels: {
        show: e.value.style.chart.layout.labels.dataLabels.show
      },
      showTable: e.value.table.show,
      showTooltip: e.value.style.chart.tooltip.show
    }), G = u({
      height: 180,
      // or 250 if non fibo
      width: 250
    }), p = u([]);
    function z(t) {
      p.value.includes(t.id) ? p.value = p.value.filter((a) => a !== t.id) : p.value.push(t.id), H("selectLegend", P.value.map((a) => ({
        name: a.name,
        color: a.color,
        value: a.value
      })));
    }
    const C = h(() => y.dataset.map((t, a) => ({
      name: t.name,
      color: ze(t.color) || xe.value[a] || M[a] || M[a % M.length],
      value: t.values ? ye(t.values).reduce((l, s) => l + s, 0) : 0,
      absoluteValues: ye(t.values),
      id: pe(),
      seriesIndex: a
    })).sort((t, a) => a.value - t.value));
    function _e() {
      return C.value.map((t) => ({
        name: t.name,
        color: t.color,
        value: t.value
      }));
    }
    const g = h(() => C.value.filter((t) => !p.value.includes(t.id)).map((t) => t.value).reduce((t, a) => t + a, 0)), Te = u(190), oe = h(() => C.value.filter((t) => !p.value.includes(t.id))), P = h(() => {
      const t = [];
      for (let a = 0; a < oe.value.length; a += 1) {
        const l = oe.value[a];
        let s = l.value / g.value * Te.value;
        a > 0 && t.length && (s += t[a - 1].points), t.push({
          points: s,
          ...l,
          seriesIndex: a,
          proportion: l.value / g.value,
          path: Ue({
            points: s,
            startX: 115 + e.value.style.chart.layout.arcs.offsetX,
            startY: 90 + e.value.style.chart.layout.arcs.offsetY
          })
        });
      }
      return t.filter((a, l) => !p.value.includes(a.id)).toSorted((a, l) => l.points - a.points);
    }), x = u(!1);
    function Pe(t) {
      x.value = t, R.value += 1;
    }
    const U = u(null);
    function Se({ datapoint: t, _relativeIndex: a, seriesIndex: l, show: s = !1 }) {
      U.value = {
        datapoint: t,
        seriesIndex: l,
        series: C.value,
        config: e.value
      }, D.value = s, f.value = t.id;
      let r = "";
      const w = e.value.style.chart.tooltip.customFormat;
      ge(w) && He(() => w({
        seriesIndex: l,
        datapoint: t,
        series: C.value,
        config: e.value
      })) ? B.value = w({
        seriesIndex: l,
        datapoint: t,
        series: C.value,
        config: e.value
      }) : (r += `<div style="width:100%;text-align:center;border-bottom:1px solid ${e.value.style.chart.tooltip.borderColor};padding-bottom:6px;margin-bottom:3px;">${t.name}</div>`, r += `<div style="display:flex;flex-direction:row;gap:6px;align-items:center;"><svg viewBox="0 0 12 12" height="14" width="14"><circle cx="6" cy="6" r="6" stroke="none" fill="${t.color}"/></svg>`, e.value.style.chart.tooltip.showValue && (r += `<b>${fe(
        e.value.style.chart.layout.labels.dataLabels.formatter,
        t.value,
        k({
          p: e.value.style.chart.layout.labels.dataLabels.prefix,
          v: t.value,
          s: e.value.style.chart.layout.labels.dataLabels.suffix,
          r: e.value.style.chart.tooltip.roundingValue
        }),
        { datapoint: t, seriesIndex: l }
      )}</b>`), e.value.style.chart.tooltip.showPercentage && (e.value.style.chart.tooltip.showValue ? r += `<span>(${k({
        v: t.proportion * 100,
        s: "%",
        r: e.value.style.chart.tooltip.roundingPercentage
      })})</span></div>` : r += `<b>${k({
        v: t.proportion * 100,
        s: "%",
        r: e.value.style.chart.tooltip.roundingPercentage
      })}</b></div>`), B.value = `<div>${r}</div>`);
    }
    const se = h(() => C.value.map((t, a) => ({
      ...t,
      proportion: (t.value || 0) / y.dataset.map((l) => (l.values || []).reduce((s, r) => s + r, 0)).reduce((l, s) => l + s, 0),
      opacity: p.value.includes(t.id) ? 0.5 : 1,
      shape: t.shape || "circle",
      segregate: () => z(t),
      isSegregated: p.value.includes(t.id)
    }))), Ne = h(() => ({
      cy: "galaxy-div-legend",
      backgroundColor: e.value.style.chart.legend.backgroundColor,
      color: e.value.style.chart.legend.color,
      fontSize: e.value.style.chart.legend.fontSize,
      paddingBottom: 12,
      fontWeight: e.value.style.chart.legend.bold ? "bold" : ""
    })), m = h(() => {
      const t = P.value.map((l) => ({
        name: l.name,
        color: l.color
      })), a = P.value.map((l) => l.value);
      return { head: t, body: a };
    });
    function re() {
      Ae(() => {
        const t = m.value.head.map((s, r) => [[
          s.name
        ], [m.value.body[r]], [isNaN(m.value.body[r] / g.value) ? "-" : m.value.body[r] / g.value * 100]]), a = [[e.value.style.chart.title.text], [e.value.style.chart.title.subtitle.text], [[""], ["val"], ["%"]]].concat(t), l = Xe(a);
        Re({ csvContent: l, title: e.value.style.chart.title.text || "vue-ui-galaxy" });
      });
    }
    const F = h(() => {
      const t = [
        ' <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M18 16v2a1 1 0 0 1 -1 1h-11l6 -7l-6 -7h11a1 1 0 0 1 1 1v2" /></svg>',
        k({ p: e.value.style.chart.layout.labels.dataLabels.prefix, v: g.value, s: e.value.style.chart.layout.labels.dataLabels.suffix, r: e.value.table.td.roundingValue }),
        "100%"
      ], a = m.value.head.map((r, w) => {
        const Oe = k({ p: e.value.style.chart.layout.labels.dataLabels.prefix, v: m.value.body[w], s: e.value.style.chart.layout.labels.dataLabels.suffix, r: e.value.table.td.roundingValue });
        return [
          {
            color: r.color,
            name: r.name
          },
          Oe,
          isNaN(m.value.body[w] / g.value) ? "-" : k({
            v: m.value.body[w] / g.value * 100,
            s: "%",
            r: e.value.table.td.roundingPercentage
          })
        ];
      }), l = {
        th: {
          backgroundColor: e.value.table.th.backgroundColor,
          color: e.value.table.th.color,
          outline: e.value.table.th.outline
        },
        td: {
          backgroundColor: e.value.table.td.backgroundColor,
          color: e.value.table.td.color,
          outline: e.value.table.td.outline
        },
        breakpoint: e.value.table.responsiveBreakpoint
      };
      return {
        colNames: [
          e.value.table.columnNames.series,
          e.value.table.columnNames.value,
          e.value.table.columnNames.percentage
        ],
        head: t,
        body: a,
        config: l
      };
    });
    function ue() {
      b.value.showTable = !b.value.showTable;
    }
    function ne() {
      b.value.showTooltip = !b.value.showTooltip;
    }
    const I = u(!1);
    function W() {
      I.value = !I.value;
    }
    return ke({
      getData: _e,
      generatePdf: le,
      generateCsv: re,
      generateImage: ae,
      toggleTable: ue,
      toggleTooltip: ne,
      toggleAnnotator: W
    }), (t, a) => (o(), i("div", {
      ref_key: "galaxyChart",
      ref: L,
      class: A(`vue-ui-galaxy ${x.value ? "vue-data-ui-wrapper-fullscreen" : ""} ${e.value.useCssAnimation ? "" : "vue-ui-dna"}`),
      style: V(`font-family:${e.value.style.fontFamily};width:100%; text-align:center;${e.value.style.chart.title.text ? "" : "padding-top:36px"};background:${e.value.style.chart.backgroundColor}`),
      id: `galaxy_${T.value}`,
      onMouseenter: a[3] || (a[3] = () => n(K)(!0)),
      onMouseleave: a[4] || (a[4] = () => n(K)(!1))
    }, [
      e.value.userOptions.buttons.annotator ? (o(), $(lt, {
        key: 0,
        parent: L.value,
        backgroundColor: e.value.style.chart.backgroundColor,
        color: e.value.style.chart.color,
        active: I.value,
        onClose: W
      }, null, 8, ["parent", "backgroundColor", "color", "active"])) : c("", !0),
      $e.value ? (o(), i("div", rt, null, 512)) : c("", !0),
      e.value.style.chart.title.text ? (o(), i("div", ut, [
        (o(), $(je, {
          key: `title_${Y.value}`,
          config: {
            title: {
              cy: "galaxy-div-title",
              ...e.value.style.chart.title
            },
            subtitle: {
              cy: "galaxy-div-subtitle",
              ...e.value.style.chart.title.subtitle
            }
          }
        }, null, 8, ["config"]))
      ])) : c("", !0),
      e.value.userOptions.show && O.value && (n(Q) || n(J)) ? (o(), $(Qe, {
        ref_key: "details",
        ref: we,
        key: `user_option_${R.value}`,
        backgroundColor: e.value.style.chart.backgroundColor,
        color: e.value.style.chart.color,
        isPrinting: n(ee),
        isImaging: n(te),
        uid: T.value,
        hasTooltip: e.value.userOptions.buttons.tooltip && e.value.style.chart.tooltip.show,
        hasPdf: e.value.userOptions.buttons.pdf,
        hasXls: e.value.userOptions.buttons.csv,
        hasImg: e.value.userOptions.buttons.img,
        hasTable: e.value.userOptions.buttons.table,
        hasFullscreen: e.value.userOptions.buttons.fullscreen,
        isTooltip: b.value.showTooltip,
        isFullscreen: x.value,
        titles: { ...e.value.userOptions.buttonTitles },
        chartElement: L.value,
        position: e.value.userOptions.position,
        hasAnnotator: e.value.userOptions.buttons.annotator,
        isAnnotation: I.value,
        onToggleFullscreen: Pe,
        onGeneratePdf: n(le),
        onGenerateCsv: re,
        onGenerateImage: n(ae),
        onToggleTable: ue,
        onToggleTooltip: ne,
        onToggleAnnotator: W,
        style: V({
          visibility: n(Q) ? n(J) ? "visible" : "hidden" : "visible"
        })
      }, Ie({ _: 2 }, [
        t.$slots.optionTooltip ? {
          name: "optionTooltip",
          fn: v(() => [
            d(t.$slots, "optionTooltip", {}, void 0, !0)
          ]),
          key: "0"
        } : void 0,
        t.$slots.optionPdf ? {
          name: "optionPdf",
          fn: v(() => [
            d(t.$slots, "optionPdf", {}, void 0, !0)
          ]),
          key: "1"
        } : void 0,
        t.$slots.optionCsv ? {
          name: "optionCsv",
          fn: v(() => [
            d(t.$slots, "optionCsv", {}, void 0, !0)
          ]),
          key: "2"
        } : void 0,
        t.$slots.optionImg ? {
          name: "optionImg",
          fn: v(() => [
            d(t.$slots, "optionImg", {}, void 0, !0)
          ]),
          key: "3"
        } : void 0,
        t.$slots.optionTable ? {
          name: "optionTable",
          fn: v(() => [
            d(t.$slots, "optionTable", {}, void 0, !0)
          ]),
          key: "4"
        } : void 0,
        t.$slots.optionFullscreen ? {
          name: "optionFullscreen",
          fn: v(({ toggleFullscreen: l, isFullscreen: s }) => [
            d(t.$slots, "optionFullscreen", S(N({ toggleFullscreen: l, isFullscreen: s })), void 0, !0)
          ]),
          key: "5"
        } : void 0,
        t.$slots.optionAnnotator ? {
          name: "optionAnnotator",
          fn: v(({ toggleAnnotator: l, isAnnotator: s }) => [
            d(t.$slots, "optionAnnotator", S(N({ toggleAnnotator: l, isAnnotator: s })), void 0, !0)
          ]),
          key: "6"
        } : void 0
      ]), 1032, ["backgroundColor", "color", "isPrinting", "isImaging", "uid", "hasTooltip", "hasPdf", "hasXls", "hasImg", "hasTable", "hasFullscreen", "isTooltip", "isFullscreen", "titles", "chartElement", "position", "hasAnnotator", "isAnnotation", "onGeneratePdf", "onGenerateImage", "style"])) : c("", !0),
      O.value ? (o(), i("svg", {
        key: 4,
        xmlns: n(We),
        class: A({ "vue-data-ui-fullscreen--on": x.value, "vue-data-ui-fulscreen--off": !x.value }),
        viewBox: `0 0 ${G.value.width} ${G.value.height}`,
        style: V(`max-width:100%; overflow: visible; background:transparent;color:${e.value.style.chart.color}`)
      }, [
        ie(tt),
        _("defs", null, [
          _("filter", {
            id: `blur_${T.value}`,
            x: "-50%",
            y: "-50%",
            width: "200%",
            height: "200%"
          }, [
            _("feGaussianBlur", {
              in: "SourceGraphic",
              stdDeviation: 100 / e.value.style.chart.layout.arcs.gradient.intensity
            }, null, 8, ct)
          ], 8, it)
        ]),
        (o(!0), i(ce, null, ve(P.value, (l) => (o(), i("g", null, [
          l.value ? (o(), i("path", {
            key: 0,
            d: l.path,
            fill: "none",
            stroke: e.value.style.chart.backgroundColor,
            "stroke-width": (e.value.style.chart.layout.arcs.strokeWidth + e.value.style.chart.layout.arcs.borderWidth) * (f.value === l.id && e.value.style.chart.layout.arcs.hoverEffect.show ? e.value.style.chart.layout.arcs.hoverEffect.multiplicator : 1),
            "stroke-linecap": "round"
          }, null, 8, vt)) : c("", !0),
          l.value ? (o(), i("path", {
            key: 1,
            d: l.path,
            fill: "none",
            stroke: l.color,
            "stroke-width": e.value.style.chart.layout.arcs.strokeWidth * (f.value === l.id && e.value.style.chart.layout.arcs.hoverEffect.show ? e.value.style.chart.layout.arcs.hoverEffect.multiplicator : 1),
            "stroke-linecap": "round",
            class: A(`${f.value && f.value !== l.id && e.value.useBlurOnHover ? "vue-ui-galaxy-blur" : ""}`)
          }, null, 10, dt)) : c("", !0),
          l.value && e.value.style.chart.layout.arcs.gradient.show ? (o(), i("g", {
            key: 2,
            filter: `url(#blur_${T.value})`
          }, [
            _("path", {
              d: l.path,
              fill: "none",
              stroke: e.value.style.chart.layout.arcs.gradient.color,
              "stroke-width": e.value.style.chart.layout.arcs.strokeWidth / 2 * (f.value === l.id && e.value.style.chart.layout.arcs.hoverEffect.show ? e.value.style.chart.layout.arcs.hoverEffect.multiplicator : 1),
              "stroke-linecap": "round",
              class: A(`vue-ui-galaxy-gradient ${f.value && f.value !== l.id && e.value.useBlurOnHover ? "vue-ui-galaxy-blur" : ""}`)
            }, null, 10, pt)
          ], 8, ht)) : c("", !0)
        ]))), 256)),
        (o(!0), i(ce, null, ve(P.value, (l, s) => (o(), i("g", null, [
          l.value ? (o(), i("path", {
            key: 0,
            d: l.path,
            fill: "none",
            stroke: "transparent",
            "stroke-width": e.value.style.chart.layout.arcs.strokeWidth + e.value.style.chart.layout.arcs.borderWidth,
            "stroke-linecap": "round",
            onMouseenter: (r) => Se({
              datapoint: l,
              relativeIndex: s,
              seriesIndex: l.seriesIndex,
              show: !0
            }),
            onMouseleave: a[0] || (a[0] = (r) => {
              D.value = !1, f.value = null;
            }),
            onClick: (r) => H("selectDatapoint", l)
          }, null, 40, yt)) : c("", !0)
        ]))), 256)),
        d(t.$slots, "svg", { svg: G.value }, void 0, !0)
      ], 14, nt)) : c("", !0),
      t.$slots.watermark ? (o(), i("div", ft, [
        d(t.$slots, "watermark", S(N({ isPrinting: n(ee) || n(te) })), void 0, !0)
      ])) : c("", !0),
      O.value ? c("", !0) : (o(), $(Ze, {
        key: 6,
        config: {
          type: "galaxy",
          style: {
            backgroundColor: e.value.style.chart.backgroundColor,
            galaxy: {
              color: "#CCCCCC"
            }
          }
        }
      }, null, 8, ["config"])),
      e.value.style.chart.legend.show ? (o(), $(Ye, {
        key: `legend_${q.value}`,
        legendSet: se.value,
        config: Ne.value,
        onClickMarker: a[1] || (a[1] = ({ legend: l }) => z(l))
      }, {
        item: v(({ legend: l, index: s }) => [
          _("div", {
            onClick: (r) => z(l),
            style: V(`opacity:${p.value.includes(l.id) ? 0.5 : 1}`)
          }, [
            de(E(l.name) + ": " + E(n(fe)(
              e.value.style.chart.layout.labels.dataLabels.formatter,
              l.value,
              n(k)({
                p: e.value.style.chart.layout.labels.dataLabels.prefix,
                v: l.value,
                s: e.value.style.chart.layout.labels.dataLabels.suffix,
                r: e.value.style.chart.legend.roundingValue
              }),
              { datapoint: l, seriesIndex: s }
            )) + " ", 1),
            p.value.includes(l.id) ? (o(), i("span", mt, " ( - % ) ")) : (o(), i("span", bt, " (" + E(isNaN(l.value / g.value) ? "-" : n(k)({
              v: l.value / g.value * 100,
              s: "%",
              r: e.value.style.chart.legend.roundingPercentage
            })) + ") ", 1))
          ], 12, gt)
        ]),
        _: 1
      }, 8, ["legendSet", "config"])) : c("", !0),
      d(t.$slots, "legend", { legend: se.value }, void 0, !0),
      t.$slots.source ? (o(), i("div", kt, [
        d(t.$slots, "source", {}, void 0, !0)
      ], 512)) : c("", !0),
      ie(qe, {
        show: b.value.showTooltip && D.value,
        backgroundColor: e.value.style.chart.tooltip.backgroundColor,
        color: e.value.style.chart.tooltip.color,
        borderRadius: e.value.style.chart.tooltip.borderRadius,
        borderColor: e.value.style.chart.tooltip.borderColor,
        borderWidth: e.value.style.chart.tooltip.borderWidth,
        fontSize: e.value.style.chart.tooltip.fontSize,
        backgroundOpacity: e.value.style.chart.tooltip.backgroundOpacity,
        position: e.value.style.chart.tooltip.position,
        offsetY: e.value.style.chart.tooltip.offsetY,
        parent: L.value,
        content: B.value,
        isFullscreen: x.value,
        isCustom: n(ge)(e.value.style.chart.tooltip.customFormat)
      }, {
        "tooltip-before": v(() => [
          d(t.$slots, "tooltip-before", S(N({ ...U.value })), void 0, !0)
        ]),
        "tooltip-after": v(() => [
          d(t.$slots, "tooltip-after", S(N({ ...U.value })), void 0, !0)
        ]),
        _: 3
      }, 8, ["show", "backgroundColor", "color", "borderRadius", "borderColor", "borderWidth", "fontSize", "backgroundOpacity", "position", "offsetY", "parent", "content", "isFullscreen", "isCustom"]),
      O.value ? (o(), $(et, {
        key: 9,
        hideDetails: "",
        config: {
          open: b.value.showTable,
          maxHeight: 1e4,
          body: {
            backgroundColor: e.value.style.chart.backgroundColor,
            color: e.value.style.chart.color
          },
          head: {
            backgroundColor: e.value.style.chart.backgroundColor,
            color: e.value.style.chart.color
          }
        }
      }, {
        content: v(() => [
          (o(), $(Je, {
            key: `table_${j.value}`,
            colNames: F.value.colNames,
            head: F.value.head,
            body: F.value.body,
            config: F.value.config,
            title: `${e.value.style.chart.title.text}${e.value.style.chart.title.subtitle.text ? ` : ${e.value.style.chart.title.subtitle.text}` : ""}`,
            onClose: a[2] || (a[2] = (l) => b.value.showTable = !1)
          }, {
            th: v(({ th: l }) => [
              _("div", {
                innerHTML: l,
                style: { display: "flex", "align-items": "center" }
              }, null, 8, Ct)
            ]),
            td: v(({ td: l }) => [
              de(E(l.name || l), 1)
            ]),
            _: 1
          }, 8, ["colNames", "head", "body", "config", "title"]))
        ]),
        _: 1
      }, 8, ["config"])) : c("", !0)
    ], 46, st));
  }
}, Mt = /* @__PURE__ */ ot(wt, [["__scopeId", "data-v-485c73d8"]]);
export {
  Mt as default
};
